<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddErrorColumnsToQueueItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('queue_items', function (Blueprint $table)
        {
            $table->boolean('is_successful')->default(false);
            $table->text('error_message')->nullable(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('queue_items', function (Blueprint $table)
        {
            $table->dropColumn('is_successful');
            $table->dropColumn('error_message');
        });
    }
}
