<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="access-key">@lang('forms.storage_access_key_label')</label>
            <input type="text" class="form-control{{ $errors->has('access_key') ? ' is-invalid' : '' }}" id="access-key" name="access_key" value="{{ old('access_key', $storage->access_key) }}">

            @if ($errors->has('access_key'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('access_key') }}</strong>
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="secret-key">@lang('forms.storage_secret_key_label')</label>
            <input type="text" class="form-control{{ $errors->has('secret_key') ? ' is-invalid' : '' }}" id="secret-key" name="secret_key" value="{{ old('secret_key', $storage->secret_key) }}">

            @if ($errors->has('secret_key'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('secret_key') }}</strong>
                </div>
            @endif
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="container-name">@lang('forms.storage_bucket_name_label')</label>
            <input type="text" class="form-control{{ $errors->has('container_name') ? ' is-invalid' : '' }}" id="container-name" name="container_name" value="{{ old('container_name', $storage->container_name) }}">

            @if ($errors->has('container_name'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('container_name') }}</strong>
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="service-region">@lang('forms.storage_service_region_label')</label>
            <input type="text" class="form-control{{ $errors->has('service_region') ? ' is-invalid' : '' }}" id="service-region" name="service_region" value="{{ old('service_region', $storage->service_region) }}">

            @if ($errors->has('service_region'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('service_region') }}</strong>
                </div>
            @endif
        </div>
    </div>
</div>

<div class="form-group">
    <label class="form-control-label" for="auth-url">@lang('forms.storage_auth_url_label')</label>
    <input type="text" class="form-control{{ $errors->has('auth_url') ? ' is-invalid' : '' }}" id="auth-url" name="auth_url" value="{{ old('auth_url', $storage->auth_url) }}">
    <small class="form-text text-muted">@lang('admin.storage_auth_url_label_help')</small>

    @if ($errors->has('auth_url'))
        <div class="invalid-feedback">
            <strong>{{ $errors->first('auth_url') }}</strong>
        </div>
    @endif
</div>

<div class="form-check form-group">
    <input type="checkbox" class="form-check-input" id="s3-signed-urls" name="s3_signed_urls"@if (old('s3_signed_urls', $storage->s3_signed_urls)) checked="checked"@endif>
    <label for="s3-signed-urls" class="form-check-label">
        <strong>@lang('forms.storage_s3_signed_urls')</strong><br>
        @lang('admin.storage_s3_signed_urls_help')
    </label>
</div>